import request from '@/utils/request'

// 查询发送信息配置列表
export function listOperationSendconfig(query) {
  return request({
    url: '/system/operationSendconfig/list',
    method: 'get',
    params: query
  })
}

// 查询发送信息配置详细
export function getOperationSendconfig(id) {
  return request({
    url: '/system/operationSendconfig/' + id,
    method: 'get'
  })
}

// 新增发送信息配置
export function addOperationSendconfig(data) {
  return request({
    url: '/system/operationSendconfig',
    method: 'post',
    data: data
  })
}

// 修改发送信息配置
export function updateOperationSendconfig(data) {
  return request({
    url: '/system/operationSendconfig',
    method: 'put',
    data: data
  })
}

// 删除发送信息配置
export function delOperationSendconfig(id) {
  return request({
    url: '/system/operationSendconfig/' + id,
    method: 'delete'
  })
}
